#include <stdio.h>
int main() { 
    
    int a,b,x,y; 
    scanf("%d %d",&a,&b); 
    scanf("%d %d",&x,&y); 
    

    if(a==x)
    { 
        if(b==y){
        printf("nijedan");}
        else
        printf("drugi"); 
    }
    else if(b==y)
    { 
        printf("prvi"); 
    }
    else
    printf("?"); 
    
    return 0;
    }